Skip to content

Audits

End of Sale Announcement

Effective May 1, 2026, Okta will no longer sell or renew Advanced Server Access. Existing customers must migrate to Okta Privileged Access within one year of their next scheduled renewal date to maintain service. Read the FAQ | Learn about Okta Privileged Access

List all Audit Events

Request

Admin roles:
  • access_user
  • access_admin
  • reporting_user

Lists all Audit events for your Team. This operation returns up to 1000 events from the past 90 days.

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

Query
offsetstring

The UUID of an object used as an offset for pagination

countinteger, (int32)

Controls the number of objects listed per page

descendingboolean

If 'true', the most recent results are listed first

prevboolean

Controls the direction of paging

GET
/v1/teams/{team_name}/auditsV2
curl -i -X GET \
  'https://app.scaleft.com/v1/teams/{team_name}/auditsV2?offset=string&count=0&descending=true&prev=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Headers
Bodyapplication/json
listArray of objectsrequired

The list of events

related_objectsobjectread-onlyrequired

Specific details related to each of the returned Audit events

Response
{ "list": { "id": "UD5pqjIhjKVQPmmqMiGMpQ==", "timestamp": "2023-06-28T21:59:57.272435511Z", "details": {} }, "related_objects": { "FWUysQmguH4ns9NT1Uszl5j2a1t9SK2lYNACeu03uBs=": {}, "WvajuG7IeAjPYPdzN0zJTSmujqXLpYd90s4haNXLzRA=": {} } }